Bug 626131 - [abrt] bogofilter-1.2.0-2.fc12: Process /usr/bin/bogofilter was killed by signal 11 (SIGSEGV)
[abrt] bogofilter-1.2.0-2.fc12: Process /usr/bin/bogofilter was killed by sig...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bogofilter (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
abrt_hash:f5cb2de26c587e9d71cfb2756d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 03:19 EDT by Tero Koskinen
Modified: 2010-09-11 14:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: bogofilter-1.2.2-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 14:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.61 KB, text/plain)
2010-08-22 03:19 EDT, Tero Koskinen
no flags Details

  None (edit)
Description Tero Koskinen 2010-08-22 03:19:43 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: bogofilter -I /home/tkoskine/.sylpheed-2.0/imapcache/mail.kapsi.fi/tkoskine/INBOX/97769
comment: I was reading my IMAP inbox using sylpheed when I noticed the bogofilter crash.
component: bogofilter
executable: /usr/bin/bogofilter
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: bogofilter-1.2.0-2.fc12
rating: 3
reason: Process /usr/bin/bogofilter was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282460907
uid: 500
Comment 1 Tero Koskinen 2010-08-22 03:19:46 EDT
Created an attachment (id=440190)
File: backtrace
Comment 2 Adrian Reber 2010-08-24 06:14:02 EDT
I informed upstream about the crash: https://sourceforge.net/tracker/?func=detail&atid=499997&aid=3052165&group_id=62265
Comment 3 David Relson 2010-08-24 07:25:20 EDT
Tero,

Insufficient information.

Please upload the file that cause the SIGSEGV, i.e. the file after the "-I" flag.

Can you duplicate the problem with bogofilter's current release (1.2.2) ?
Comment 4 Adrian Reber 2010-08-24 07:32:32 EDT
1.2.2 is available at http://koji.fedoraproject.org/koji/buildinfo?buildID=190626
Comment 5 Tero Koskinen 2010-08-24 13:22:45 EDT
(In reply to comment #4)
> 1.2.2 is available at
> http://koji.fedoraproject.org/koji/buildinfo?buildID=190626

I have been running bogofilter-1.2.2-1.fc13.x86_64 from this url for a few hours
and read+filtered 50-100 emails without crashes.

1.2.0 used to crash pretty much every time when I pressed "Get All" from Sylpheed UI.

So, this bug can be considered as fixed for me.
Comment 6 Matthias Andree 2010-08-26 04:52:26 EDT
Upstream co-maintainer writing:

According to the stack trace, it was a crash in Berkeley DB anyways, and that is usually a hint to a database corruption rather than a software bug.

  bogoutil --db-verify $HOME/.bogofilter/wordlist.db

can detect some of such corruptions. It is recommended to run bogofilter in transactional mode.  For integration by packagers, it might be useful to consider making transactional the only available mode, ./configure --enable transactions, but do note transactional mode requires more files than just the .db file, but also the environment and log files.

Do also note that there have been critical fixes for parser bugs in bogofilter 1.2.1 (older versions missed tokens from messages), and a security fix in bogofilter 1.2.2, see
<http://bogofilter.svn.sourceforge.net/viewvc/bogofilter/trunk/bogofilter/NEWS?revision=HEAD>

The upstream is not supporting older versions than the latest release (1.2.2 at the time of this writing), which triggered David's comment #3.
Comment 7 Fedora Update System 2010-08-27 02:44:12 EDT
bogofilter-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bogofilter-1.2.2-1.fc13
Comment 8 Fedora Update System 2010-08-27 02:45:37 EDT
bogofilter-1.2.2-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/bogofilter-1.2.2-1.fc12
Comment 9 Fedora Update System 2010-08-27 02:46:24 EDT
bogofilter-1.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bogofilter-1.2.2-1.el5
Comment 10 Fedora Update System 2010-08-27 17:12:12 EDT
bogofilter-1.2.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bogofilter'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bogofilter-1.2.2-1.el5
Comment 11 Fedora Update System 2010-08-30 14:21:19 EDT
bogofilter-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-30 14:29:29 EDT
bogofilter-1.2.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-09-11 14:25:15 EDT
bogofilter-1.2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.